Spend
Evaluate spend policy
Evaluate whether a proposed spend would be approved based on current policy rules.
POST
/
spend
/
evaluate
Evaluate spend policy
curl --request POST \
--url https://api.useproxy.ai/v1/spend/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"customerId": "<string>",
"agentId": "<string>",
"cardId": "<string>",
"currency": "<string>",
"merchant": {
"mcc": "<string>",
"name": "<string>"
}
}
'import requests
url = "https://api.useproxy.ai/v1/spend/evaluate"
payload = {
"amount": 123,
"customerId": "<string>",
"agentId": "<string>",
"cardId": "<string>",
"currency": "<string>",
"merchant": {
"mcc": "<string>",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
customerId: '<string>',
agentId: '<string>',
cardId: '<string>',
currency: '<string>',
merchant: {mcc: '<string>', name: '<string>'}
})
};
fetch('https://api.useproxy.ai/v1/spend/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reasons": [
{
"code": "<string>",
"message": "<string>"
}
],
"flags": {},
"context": {
"customerId": "<string>",
"agentId": "<string>",
"cardId": "<string>",
"amount": 123,
"currency": "<string>",
"available": 123,
"agentLimit": {
"amount": 123,
"currency": "<string>",
"interval": "<string>"
},
"cardLimit": {
"amount": 123,
"currency": "<string>",
"interval": "<string>"
},
"spendStats": {
"totalDay": 123,
"totalMonth": 123,
"lastSpendAt": 123
},
"policy": {
"requireIntent": true,
"requireAttestation": true,
"requireApproval": true,
"autoApproveBelow": 123,
"attestationWindowMinutes": 123,
"cooldownMinutes": 123,
"ttlMinutes": 123,
"ttlDays": 123,
"limits": {
"perAuth": 123,
"perDay": 123,
"perMonth": 123
},
"allowedMccs": [
"<string>"
],
"blockedMccs": [
"<string>"
],
"allowedMerchants": [
"<string>"
],
"lockToFirstMerchant": true
}
}
}{
"error": "<string>"
}{
"error": "unauthorized"
}Authorizations
API key authentication. Include your API key in the Authorization header as Bearer <api_key>.
Body
application/json
⌘I
Evaluate spend policy
